# Gimp.RunThumbnailFunc

    @accepts(Gimp.Procedure, Gio.File, int, Gimp.ProcedureConfig, gpointer)
    @returns(Gimp.ValueArray)
    def on_RunThumbnailFunc(procedure, file, size, config, run_data):

The thumbnail function is run during the lifetime of the GIMP session, each time a plug-in thumbnail procedure is called.

[class@ThumbnailProcedure] are always run non-interactively.

On success, the returned array must contain: 1. a [class@Image]: this is the only mandatory return value. It should ideally be a simple image whose dimensions are closest to size and meant to be displayed as a small static image. 2. (optional) the full image's width (not the thumbnail's image's), or 0 if unknown. 3. (optional) the full image's height, or 0 if unknown. 4. (optional) the [enum@ImageType] of the full image. 5. (optional) the number of layers in the full image.

Since 3.0

procedure

  the Gimp.Procedure that runs.

file

  the Gio.File to load the thumbnail from.

size

  the requested thumbnail size.

config

  the procedure's remaining arguments.

run_data

  the run_data given in Gimp.ThumbnailProcedure.new.

Returns

  the procedure's return values.